package com.sheep.gamegroup.model.entity;

import android.graphics.drawable.Drawable;

/**
 * Created by realicing on 2018/6/19.
 * realicing@sina.com
 */
public class AppInfo {

    //应用图标
    private Drawable icon;
    //应用的名字
    private String appName;
    //应用程序的sha1
    private String sha1;
    //应用程序的大小
    private String apkSize;
    //应用程序的安装包路径
    private String sourceDir;
    //表示用户程序
    private boolean isUserApp;

    //存储的位置.
    private boolean isSD;

    private String packageName;


    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public Drawable getIcon() {
        return icon;
    }

    public void setIcon(Drawable icon) {
        this.icon = icon;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getApkSize() {
        return apkSize;
    }

    public void setApkSize(String apkSize) {
        this.apkSize = apkSize;
    }

    public boolean isUserApp() {
        return isUserApp;
    }

    public void setUserApp(boolean isUserApp) {
        this.isUserApp = isUserApp;
    }

    public boolean isSD() {
        return isSD;
    }

    public void setSD(boolean isSD) {
        this.isSD = isSD;
    }

    public String getSourceDir() {
        return sourceDir;
    }

    public void setSourceDir(String sourceDir) {
        this.sourceDir = sourceDir;
    }

    public String getSha1() {
        return sha1;
    }

    public void setSha1(String sha1) {
        this.sha1 = sha1;
    }
}
